Skip to main content
DELETE
Delete Shipment Document

Authorizations

Authorization
string
header
required

Your API key, sent in the Authorization header: Authorization: YOUR_API_KEY. A Bearer prefix is also accepted (Authorization: Bearer YOUR_API_KEY). Keys are created in the Upwell dashboard (Account → API keys) and are scoped to one organization.

Path Parameters

id
string
required

"id" is required (enter it either in parameters or request body)

shipmentId
string
required

"shipmentId" is required (enter it either in parameters or request body)

Body

application/json

Query parameters can also be provided in the request body as a JSON object

id
string

Upwell identifier for this record. Store it to retrieve or update the record.

shipmentId
string

Shipment identifier. On a shipment record this is the source load/shipment number; on invoiceShipments it is the Upwell shipment id (shi_…).

Response

Responses for DELETE /api/rest/shipments/{shipmentId}/documents/{id}

deleteFileAssociations
FileAssociationsMutationResponse · object | null

response of any mutation on the table "file_associations"